# FORCE2017 Hackathon / Do-a-thon

This is a hackathon related to citation at the FORCE2017 conference.

Most of the ideas for the software citation side will be around implementing different aspects of the software citation workflow:
- Generating a citation from a source code repository, or repo URL
- Taking a CodeMeta.json file and turning it into a CSL file / BiBTeX etc
- Understanding where citations should appear, and how to get publisher support for them
- Understand the usage of citations: how much is already cited, where is it from?

# Agenda

We will be physically meeting in the Atelier Room from 10:00 - 18:00 (Central European Summer Time, UTC+2).

The start of the session will cover introductions to:
- [Software Citation Implementation WG](https://www.force11.org/group/software-citation-implementation-working-group)
	- [Software Citation Principles](https://www.force11.org/group/joint-declaration-data-citation-principles-final)
- Introductions of People in the room: skills and interests
- [Software Heritage](https://www.softwareheritage.org/)
- [swMath](http://www.swmath.org/)
- [Zenodo](https://zenodo.org/)
- [CodeMeta](https://github.com/codemeta/codemeta)
- [DataCite v4.1 schema](http://schema.datacite.org/meta/kernel-4.1/) - [blog post](https://blog.datacite.org/metadata-schema-4-1/)
- Logistics
	- Github repo 
	- [Gitter](https://gitter.im/force11-sciwg/Lobby) 
	- [Google Doc for notes](https://docs.google.com/document/d/1X45xCKiCozCZUqGvGC2ksGQACA6lugcSqelH7fXDi6w/edit)
	- Drop-in / drop-out
	- [Code of Conduct](https://www.force2017.org/information/code_of_conduct.html)
- Pitches - also see [suggested ideas](https://github.com/force11/force11-sciwg/issues?q=is%3Aissue+is%3Aopen+label%3A%22FORCE2017+Hack%22)


## Logistics

We will use Gitter as our chat mechanism during Hackathons - click the badge below to join our channel:

[![Gitter](https://badges.gitter.im/force11-sciwg/Lobby.svg)](https://gitter.im/force11-sciwg/Lobby?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=body_badge)

Ideas for the Hackathon have been proposed here: https://github.com/force11/force11-sciwg/issues?q=is%3Aissue+is%3Aopen+label%3A%22FORCE2017+Hack%22

Google Doc for shared notetaking: https://docs.google.com/document/d/1X45xCKiCozCZUqGvGC2ksGQACA6lugcSqelH7fXDi6w/edit

The WG's GitHub repo is at: https://github.com/force11/force11-sciwg
We need to decide whether we will create directories in this repo (under src/ perhaps) or work in other repos and link to them.

### Joining in person

The Atelier room is on the 2nd floor - take the stairs next to registration.
You can come for the whole session, drop in and out, or join at any time. If you want to find out what you can work on, speak to Neil or Lars when you enter the room.

### Joining remotely

We are aiming to coordinate remote participation through Gitter. 
When you join Gitter, please introduce yourself, letting the group know your skills, interests and time availability. 
We'll then assign you to a hackathon group working on a task.

We will not be running a video stream from the room as there is not a projector/screen, and the wifi might not be stable enough. However we will have the possibility of doing audio meetings if required.

## Useful Links

- [Software Citation Principles](https://www.force11.org/software-citation-principles)
- [Data Citation Principles](https://www.force11.org/group/joint-declaration-data-citation-principles-final)
- [CodeMeta Schema v2.0](https://raw.githubusercontent.com/codemeta/codemeta/2.0/codemeta.jsonld)
- [DataCite Schema v4.1](http://schema.datacite.org/meta/kernel-4.1/)
- [Citation Style Language](http://citationstyles.org/) and [Developer Information](http://citationstyles.org/developers/)
- [Citation File Format](https://citation-file-format.github.io/)
- Dan Katz's blog post on Software Heritage, Repository Metadata and Codemeta working to fill the metadata gap for citation: https://danielskatzblog.wordpress.com/2017/09/25/software-heritage-and-repository-metadata-a-software-citation-solution/
