## Notes from Telcon on 5th June 2018

Previous Calls:
 - [June 2, 2017](https://github.com/force11/force11-sciwg/blob/master/meetings/20170602-Notes.md)
 - [June 6, 2017](https://github.com/force11/force11-sciwg/blob/master/meetings/20170606-Notes.md)
 - [October 10, 2017](https://github.com/force11/force11-sciwg/blob/master/meetings/20171010-Notes.md)
 - [February 6, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180206-Notes.md)
 - [March 6, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180306-Notes.md)
 - [April 3, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180403-Notes.md)
 - [May 8, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180508-Notes.md)


### Call logistics

 - Calls normally take place on the first Tuesday of every month at 2 PM GMT or BST.
 - Notes will be published at: https://github.com/force11/force11-sciwg/tree/master/meetings
 - We use Zoom: https://zoom.us/j/826409840
 - You can also dial in using your phone. Access Code: 826 409 840 - see bottom of this document for telephone numbers
 - Participants can raise things that they are working on / want to bring peoples attention to by [opening a GitHub issue](https://github.com/force11/force11-sciwg/issues). The co-chairs will curate and tag these issues as required, and maintain a document linking to them to summarise current status.

### Attending

 * Alastair Kelly
 * Alice Allen
 * August Muench
 * Carly Robinson
 * Catherine Jones
 * Daina Bouquin
 * Jessica Hausman
 * Lorraine Hwang
 * Martin Fenner
 * Morane Gruenpeter
 * Neil Chue Hong
 * Qian Zhang
 * Simon Worthington
 * Stephan Druskat
 * Wolfram Sperber


### Actions

 * ACTION: All to open issues in GitHub to disseminate things they're working on - STANDING
 * ACTION: Dan, Martin and Neil to organize issues and notes into themes and activities 
 * ACTION: Martin Fenner to do draft of identifier discussion, reviewed by Morane and Roberto
 * ACTION: Dan/Martin/Neil/Roberto to scope out potential for joint RDA/FORCE11 Software Identifiers WG 
 * ACTION: Dan, Martin and Neil will come up with a brief process for suggesting, initiating and managing task forces 
 * ACTION: Jessica to try and make NASA guidelines available on ESIP wiki


## Agenda

### DOI Registrations for Software (Martin)

Discussion of points raised from this blogpost: https://blog.datacite.org/doi-registrations-software/


Questions raised:

1. Is this number of registrations what you expected?

I cannot say I expected certain numbers, but they make sense to me and are encouraging.
(Moving towards a software citation singularity)

2. Any comments on why Zenodo has the majority of DOI registrations?

This is probably due to Zenodo's integration with GitHub. 
Is there a way of telling how many of the Zenodo DOIs are for software being used in research?

Figshare also has integration - but their numbers are much lower. Why? The fact that Zenodo are *active* in the respective community (i.e., here) plays a role, and also that they come from CERN, so from research, rather than being a company. Also, Figshare integration has appeared to not be working at certain points in time.

The fact that GitHub promoted this as "how to make software citable" might be a major factor in uptake as well...

DOIs for Software via Figshare part of full analysis: https://doi.org/10.5438/wr0x-e194

3. Does this rise in registrations help us push forward adoption?

It strengthens the case, but unsure whether these actual numbers would help with adoption by, e.g., publishers

Other questions:
- How many of these DOIs are cited in a publication other than its initial publication?
- Where these DOIs appear in a publication. Daina: has been working with ADS(?) to get hold of full text XML files in astronomy to analyse

Other initiatives in the same space that might be of interest:
- [ASCLEPIAS](https://github.com/asclepias) a Sloan funded project to support software citation across astronomy.
- Code mentions in papers: https://github.com/softwaresaved/code-cite
- August: we have some answers on number of software citations, but not yet ready to share it because front end isn’t ready.
- Alice: ASCL lists citation numbers to its entries (as tracked by ADS) on its dashboard (which is refreshed 2x/week): http://ascl.net/dashboard These are formal citations (in the reference section).

Would be potenitally interesting to see non-Zenodo DOIs in astro. We could look at that

The code to gather and analyse the data presented in the blog post is on [GitHub](https://github.com/datacite/metadata-reports/blob/master/software/index.md). https://doi.org/10.5438/wr0x-e194 points to a folder containing R script, results and figures used in analysis. Feel free to adapt, or use to get all Software DOIs in CSV format.

### Starting up taskforces (Martin and Neil)

#### General logistics

- Task forces will be suggested using GitHub issues. Before initiation, those involved in the task force should identify: who's involved, a timeline, what will be delivered/achieved.
- Monthly call used to keep task forces coordinated with each other, as well as reporting to the community
- Aim to scope out initial goals for each task force

People to indicate their interest in participating by commenting on the relevent GitHub issue.

Named people to put out a call for participation to the mailing list and schedule a first call. After first call, identify task force leaders going forward and draft goals and milestones.

#### Codemeta Taskforce (Martin)

https://github.com/force11/force11-sciwg/issues/57

Tasks:
- identify the various tools that work with codemeta, check that they work
- longer term governance model for CodeMeta
- relationship between CodeMeta and schema.org - what’s missing?


Alice: ASCL can ingest via a link to a codemeta.json file; I’ve had people ask what that is, how to create one, what should be in it, and I don’t have that information currently on the ASCL. Might be helpful to have a generic “this is what the file should contain” post that people (well, me, anyway!) could point to. No one is using codemeta functionality in anger yet, so need to have better guidance on how to create codemeta.json files for people submitting to ASCL

Stephen: Would be interesting to hear what you'd (Alice) need that *isn't* in codemeta.json.
Alice: a link or bibcode to a peer-reviewed paper using or describing the software, for example.

#### Guidance Taskforce (Neil)

https://github.com/force11/force11-sciwg/issues/56

Should guidance focus on a specific community first then translate to others, or craft generic guidance that can be adopted by specific communities?
- Daina: Astro would be easier but may be valuable case but general guidance needed and could be used to talk to publishers in related fields
- Jessica: might want to generalise first and then adapt for each. NASA experience was doing it specific first.
- Alice: I agree with Jessica — general first, and we can make it more specific within the disciplines.

**ACTION: Jessica to try and make NASA guidelines available on ESIP wiki

Everyone agreed it was important to have guidance both for those wanting to get their software cited as well as those trying to cite software.

Also important to write recommendations for publisher policies as well. 

#### Publish Adoption Taskforce (Dan)

https://github.com/force11/force11-sciwg/issues/58

Alice: Publisher policies came up at EWASS; Chris Lintott and Greg Schwartz attended.

#### Repository Best Practice (Alice)

https://github.com/force11/force11-sciwg/issues/59

Goals:
- finding repositories and registries that are holding / interested in holding software
- find out what the commonality across repositories might be


### Status updates on implementation (Open)

This item was not covered due to time.

### Schedule for future calls

- July: NLM Pilot (J. Alex Sticco)
- August:
- September: FORCE2018 Planning
 



## Zoom Instructions

Force11 Software Citation Implementation WG
 - When    Monthly from 15:00 to 16:00 on the first Tuesday Berlin
 - Where   (https://zoom.us/j/826409840

Please join this meeting from your computer, tablet or smartphone: https://zoom.us/j/826409840

You can also dial in using your phone. Access Code / Meeting ID: 826 409 840

Join by telephone: 
 - Australia: +61 (0) 2 8015 2088
 - Canada: +1 647 558 0588
 - France: +33 (0) 1 8288 0188
 - Germany: +49 (0) 30 3080 6188
 - UK: +44 (0) 20 3695 0088
 - USA: +1 408 740 3766 or +1 646 876 9923 or +1 669 900 6833
 - other dialin numbers: https://zoom.us/zoomconference
 
 Test whether you can connect to a Zoom meeting: https://zoom.us/test
