## Notes from Codemeta Task Force Telcon on 30th August 2018

### Call logistics

 - Call schedule needs to be decided.
 - Notes will be published at: https://github.com/force11/force11-sciwg/tree/master/meetings
 - Participants can raise things that they are working on / want to bring peoples attention to by [opening a GitHub issue](https://github.com/force11/force11-sciwg/issues). The co-chairs will curate and tag these issues as required, and maintain a document linking to them to summarise current status.

### Attending

Please see notes.

### Actions
 
* Doodle poll to schedule the next task force calls (Martin)
* agenda for next call: broader overview of implementations, discuss documentation, and outreach efforts
* topics for future calls: governance, closer alignment with schema.org

## Agenda

* status update of CodeMeta project
* examples of CodeMeta implementations
* defining the scope of the task force
* planning next steps

## Notes

This is the first call of the Force11 Software Citation Implementation WG Codemeta Task Force. The task force will specifically work on aligning with the [Codemeta Project](https://codemeta.github.io/). We decided that a monthly call for the next 6-12 months would be appropriate.

We started the call with every participant stating their reasons for joining the Codemeta task force:

* **Tom Morrell**: Codemeta allows Caltech to generate citation metadata from their software repository
* **Dan Katz**: Codemeta can help cite software that has not been published yet
* **Lorraine Hwang**: Codemeta can help with software citation and with giving software authors credit for their work
* **Morane Gruenpeter**: Codemeta helps with metadata format conversion
* **Peter Loewe**: Codemeta can help the [Open Source Geospatial Foundation](https://www.osgeo.org/) software authors to get credit for their work
* **Alastair Kelly**: Codemeta can help the U.S. National Library of Medicine (NLM) with the findability of the software they produce
* **Allen Lee**: Codemeta can help expose metadata for computational models
* **Carl Boettiger**: Codemeta can help scientists get citations for the software they wrote, can help with software dependencies
* **Catherine Jones**: Codemeta can help with the discovery of software
* **Daina Bouquin**: Codemeta can help with software preservation at the Smithsonian Institute
* **Neil Chue Hong**: Codemeta can make it easier to deposit accurately described software in different places
* **Qian Zhang**: is interested to learn why researchers sometimes don't want to share their code
* **Shelley Stall**: software needs same level of care as other research outputs
* **Martin Fenner**: wants to integrate Codemeta into DataCite DOI registration workflows
* **Matt Jones**: Codemeta provides metadata for software in computational workflows

Carl gave a short overview about the current status of the Codemeta Project. The current focus is on implementation, e.g. tools such as [codemetar](https://github.com/ropensci/codemetar). Open questions that need to be addressed include

* governance
* alignment with schema.org
* mapping to other metadata standards, e.g. ISO metadata ([PeerJ preprint](https://doi.org/10.7287/peerj.preprints.27153v1))
* incorporation into more toolchains and workflows

We had a good discussion about the need for language-specific user-facing documentation, and this was seen as a high priority.

For the governance of the Codemeta Project Carl said the goal is to become a trusted standard with visibility and external support. It is unclear how formal the governance needs to be for this. The governance discussion is still at an early stage.

We then followed with a few examples of Codemeta implementations.

Morane reported that Codemeta is not yet completely integrated into the workflows at Software Heritage. She is looking for tools that help working with Codemeta. Software Heritage is also looking at software deposits, with metadata in Codemeta format.

Tom gave an overview of the Codemeta integration at Caltech. Before Codemeta it was difficult to link metadata from GitHub repositories to the metadata used for DOI registration.

Martin reported on behalf of Lars Holm Nielsen from Zenodo that Codemeta is on their roadmap. DataCite has integrated Codemeta into DOI content negotiation in 2017 (metadata for all DOIs can be retrieved in Codemeta format), and DOI registation in 2018.
