# Software Citation Guidance Task Force Call
Wednesday 15 May 2019

Attendees:
- Neil Chue Hong
- Alejandra Gonzalez Beltran
- Alice Allen
- Dan Katz
- Edwin Henneken
- Lorraine Hwang
- Merce Crosas
- Shelley Stall
- Tom Pollard

## GitHub Issue

The main GitHub issue is here: https://github.com/force11/force11-sciwg/issues/56

## Working Document

The working document for this meeting is here: https://docs.google.com/document/d/15IiHljWa7Bf55FSdb4reNiIhFmZ7Ai_FmSslLB8o6ig/edit#

## Notes

This meeting focused on discussing the draft guidance for developers.

We agreed that the scope of the checklist guidance covers both open and closed source software, as there would be scenarios for citing both.

To keep the checklist simple, we will keep it scoped to making software citable (rather than guidance more broadly on making software publishable) 

We discussed whether we should have availability statements as part of the checklist, but agreed that this should be added as a question in the Q&A, to prime people that this might be required by some publishers, but not to confuse those in domains where they aren' commonplace. 

We enumerated possible reasons for having identifiers for non-available software: embargo, export control.

It was noted that authors would sometimes like to accrue citations across all releases to a single citation. We felt that the checklist guidance still allowed for that, and in combination with the checklist for authors made sure that information for transparency wasn't lost when software was cited in papers.

There were still questions around the guidance we should provide around releases and versions, e.g. minor releases vs versions, how often you should publish a new version of the software metadata and create a recommended citation
If persistent identifiers supported finer granularity, it might help to solve version issue, but people tend to be more granular overall than even the best persistent identifier systems!

There were two questions around metadata:
- around metadata formats: should we simply say “publish metadata”, should it be “publish metadata in a format that follows certain characteristics” or “publish using these metadata formats”?
- around publishing, should we say where we want people to store the metadata?
We agreed that we should provide or link to some guidance.
Most generic advice would be to put it with the code, in whatever format they choose.
A little more specific would be to use a format that is interoperable.
What happens if the code is not open source?
The example of RRID for closed source software was given - in this case, there isn't a requirement to put the metadata with the software/code repository; it could just live ion the RRID registry.
If we are clear about the object being cited - e.g. a landing page - then we could say that the metadata should be available from the cited object.

We didn't come to a conclusion about these two questions and will reopen discussion on the next call.

We discussed the role of the checklist in promoting reproducibility. The focus is on citation for credit, but this might help us stumble imperfectly toward transparency, reuse and maybe even reproducibility!


## Next steps
Comments and suggestions are welcomed on this document through the next month.
On the next call, we will pick up the discussion of metadata and where it should live, as well as reviewing the additional guidance and examples.
