## Notes from Telcon on 4 Jun 2019

Previous Calls:
 - [June 2, 2017](https://github.com/force11/force11-sciwg/blob/master/meetings/20170602-Notes.md)
 - [June 6, 2017](https://github.com/force11/force11-sciwg/blob/master/meetings/20170606-Notes.md)
 - [October 10, 2017](https://github.com/force11/force11-sciwg/blob/master/meetings/20171010-Notes.md)
 - [February 6, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180206-Notes.md)
 - [March 6, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180306-Notes.md)
 - [April 3, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180403-Notes.md)
 - [May 8, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180508-Notes.md)
 - [June 5, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180605-Notes.md)
 - [July 3, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180703-Notes.md)
 - [August 7, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180807-Notes.md)
 - [September 4, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180904-Notes.md)
 - [October 2, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20181002-Notes.md)
 - [Nov 13, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20181113-Notes.md)
 
### Call logistics

 - Calls normally take place on the first Tuesday of every month at 2 PM GMT or BST.
 - Notes will be published at: https://github.com/force11/force11-sciwg/tree/master/meetings
 - We use Zoom: https://zoom.us/j/826409840
 - You can also dial in using your phone. Access Code: 826 409 840 - see bottom of this document for telephone numbers
 - Participants can raise things that they are working on / want to bring peoples attention to by [opening a GitHub issue](https://github.com/force11/force11-sciwg/issues). The co-chairs will curate and tag these issues as required, and maintain a document linking to them to summarise current status.

### Attending

* Dan Katz
* Morane Gruenpeter
* Carly Robinson
* Daina Bouquin
* Rob Haines
* Ted Habermann


### Actions

Standing:
 * ACTION: Someone to send out reminders of these calls & someone to take notes during these calls
 * ACTION: All to open issues in GitHub to disseminate things they're working on
 * ACTION: Neil: regular Guidance Taskforce calls continue
 * ACTION: Alice: regular Repository Best Practice Taskforce calls continue

Completed:
 * ACTION: Jessica to try and make NASA guidelines available on ESIP wiki - Ted to find these - so that we can point to them - after the call, Ted pointed us to https://esip.figshare.com/articles/Software_and_Services_Citation_Guidelines_and_Examples/7640426

In Progress:
 * ACTION: Martin to schedule next and regular monthly CodeMeta calls
 
On Hold: 
 * holding pending google doc progress: ACTION: Dan to get members and schedule Publisher Adoption Taskforce first call
   * maybe need to develop publisher guidelines
   * maybe need a publisher to lead this task force
   * need to determine a path forward for this

New:
 * ACTION: Dan to lead discussion in next call about moving forward on challenges: prioritization and subgroups for some challenges
 
## Agenda


### Task Forces
  
#### General logistics

- Neil's author checklist/guidelines task force
  - group making comments on docs ([author checklist](https://docs.google.com/document/d/1ENisZeQcHdPYDTndE88CKp7gRjpjSUq2ITJ3ZBifHFM/edit?usp=sharing), [developer checklist](https://docs.google.com/document/d/15IiHljWa7Bf55FSdb4reNiIhFmZ7Ai_FmSslLB8o6ig/edit), [reviewer checklist](https://docs.google.com/document/d/1IBax3IGla6VLiY1dIiVH8V0pOJdqIigs8M_4omN0UBo/edit))
  - authors is farthest along, reviewers just getting started, developers in the middle
  - Morane suggest the reviewer doc should take into account https://www.acm.org/publications/policies/artifact-review-badging (note for @npch)
  - Is there a goal for when these should be complete?
  - Is the author one complete now?
  
- Challenges document
  - completed now, on [arXiv](https://arxiv.org/abs/1905.08674) and [Github](https://github.com/force11/force11-sciwg/tree/master/Challenges)
  - potential next steps
    - prioritize challenges
    - create new task forces/activities to work on some of them

- Repository task force
  - [notes from May 9 call](https://docs.google.com/document/d/1DriGOYmLVKmOfbttYOVPR7T61OnAt6isAG__Nsu4Veg/edit)
  - discussion about a workshop still on going - some dates have been suggested - Alice applying for funding to support this
  - probably not ready to define best practices, but more areas about what should be documented by the repositories
  - From Alice: We are ironing out some details of the proposal for Sloan funding for the repo/registry workshop. We hope to hold this workshop the week of November 11 — we haven’t selected specific days in that week yet, but that’s our target week. I will schedule another conference call for the task force for Thursday, June 13, offering two times (as before) to accommodate all time zones, for that group. I hope to get the invites out today.
  
- CodeMeta task force
  - Action: Martin to update us on task force
  - News from Morane: SoftwareHeritage has ability to search metadata - [blog post about this](https://www.softwareheritage.org/2019/05/28/mining-software-metadata-for-80-m-projects-and-even-more/)
  - Action: GitHub is interested in new ideas to support science
    - Could something be done in new repos to support some minimal metadata to be created?
    - Or could something be done as part of making a release?
    - Can we make some recommendation as a group?
    - Could we do something (w/ GitHub) like choosealicense?
  - Can we move forward on citation.cff and codemeta tooling/translation/merging?

- General updates
  - Daina: [Astrobetter](https://www.astrobetter.com) blog post about in-line citations coming soon
  - Carly: attending [Open Repositories](https://www.openrepositories.org) next week - interested in seeing what is discussed about software
  - Dan: attended a little of [Joint Conference on Digital Libraries](https://www.jcdl.org) this week - we might want to be more involved next year
  - Morane: please answer and circulate [poll on software identification](https://forms.gle/Mtg5pJMqWjh9Z5Ep8) - to be used for state of the art document being written
  - [Job announcement: DataCite is looking for an Executive Director](https://blog.datacite.org/datacite-is-looking-for-an-executive-director/)

- Next monthly Force11 Software Citation Implementation WG call will be on July 2 at 15:00 Berlin time

## Zoom Instructions

Force11 Software Citation Implementation WG
 - When    Monthly from 15:00 to 16:00 on the first Tuesday Berlin
 - Where   https://zoom.us/j/826409840

Please join this meeting from your computer, tablet or smartphone: https://zoom.us/j/826409840

You can also dial in using your phone. Access Code / Meeting ID: 826 409 840

Join by telephone: 
 - Australia: +61 (0) 2 8015 2088
 - Canada: +1 647 558 0588
 - France: +33 (0) 1 8288 0188
 - Germany: +49 (0) 30 3080 6188
 - UK: +44 (0) 20 3695 0088
 - USA: +1 408 740 3766 or +1 646 876 9923 or +1 669 900 6833
 - other dialin numbers: https://zoom.us/zoomconference
 
 Test whether you can connect to a Zoom meeting: https://zoom.us/test
